<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * @var int $post_id
 * @var boolean $is_permanently_delete
 */

$config_url = add_query_arg(
	[ 'force_delete_kit' => '1' ],
	get_delete_post_link( $post_id, '', $is_permanently_delete )
);
?>
<h4>
	<?php echo esc_html__( '您确定要删除站点设置吗?', 'elementor' ); ?>
</h4>

<p>
	<?php echo esc_html__( '如果删除此模板，您将删除整个网站设置。如果这个模板被删除，所有相关的设置，全局颜色和字体，主题风格，布局，背景和灯箱设置将从您的现有网站删除。全局颜色和字体，主题风格，布局，背景和灯箱设置将从您现有的网站中删除。此操作不能被撤销。', 'elementor' ); ?>
</p>

<br/>

<a class="btn btn-danger" href="<?php
	// PHPCS - the link is generated by GeChiUI.
	echo $config_url; // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped
?>">
	<?php echo esc_html__( '删除', 'elementor' ); ?>
</a>
<a class="btn btn-primary" href="javascript:history.back()">
	<?php echo esc_html__( '保留我的设置', 'elementor' ); ?>
</a>

<style>
	/* In GeChiUI "die" screen there is very basic style, so the current css is required for basic button styles. */
	.btn {
		text-decoration: none;
		padding: 9px 20px;
		font-weight: 500;
		border-radius: 3px;
	}

	.btn-danger {
		display: inline-block;
		color: #a00;
	}

	.btn-danger:hover, .btn-danger:focus, .btn-danger:active {
		color: #dc3232;
	}

	.btn-primary {
		color: #fff;
		background-color: #007cba;
		margin: 0 10px;
	}

	.btn-primary:hover, .btn-primary:focus, .btn-primary:active {
		background-color: #0071a1;
		color: #fff;
	}
</style>
